Bug 1029117 - make generated "columns" of fstab 8-aligned and wide enough to accomodate UUID= devices
make generated "columns" of fstab 8-aligned and wide enough to accomodate UUI...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 12:13 EST by David Jaša
Modified: 2013-12-16 15:16 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 15:16:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-11-11 12:13:09 EST
Description of problem:
The UUID-defined mountpoint are frequently used for quite some time and consoles wider than 80 chars are commonplace for about the same time so it would make sense to tailor default fstab size to that fact:
/dev/mapper/<vg>-<lv>                           /               defaults                        1 1
UUID="ecfb7a2f-21b3-4052-b038-bf4274e9f7b5"     <mountpoint>    <options_can_take_some_space>   0 0

(having all but last column aligned to multiples of 8 is also nice to the crowd that uses default settings)

Version-Release number of selected component (if applicable):
setup-2.8.71-1.el7.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ondrej Vasik 2013-11-12 06:00:40 EST
Although setup as a package owns the file, it doesn't create it at all. It is created/generated by installer - anaconda. Moving there.
Comment 2 David Cantrell 2013-12-16 15:06:25 EST
Valid request, not appropriate for RHEL-7 at this point.  File a bug for this in Fedora and we can backport later.
Comment 3 RHEL Product and Program Management 2013-12-16 15:16:28 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.